pluginManagement {
    repositories {
        mavenLocal()
        mavenCentral {
            metadataSources {
                mavenPom()
                artifact()
                ignoreGradleMetadataRedirection()
            }
        }
        gradlePluginPortal()
    }
}

dependencyResolutionManagement {
    versionCatalogs {
        libs {
            version('gradle', '8.7')
            version('log4j', '2.23.1')
            version('slf4j', '2.0.13')
            library('log4j-core', 'org.apache.logging.log4j', 'log4j-core').versionRef('log4j')
            library('log4j-jul', 'org.apache.logging.log4j', 'log4j-jul').versionRef('log4j')
            library('log4j-jcl', 'org.apache.logging.log4j', 'log4j-jcl').versionRef('log4j')
            library('log4j-slf4j-impl', 'org.apache.logging.log4j', 'log4j-slf4j-impl').versionRef('log4j')
            library('log4j-slf4j', 'org.apache.logging.log4j', 'log4j-to-slf4j').versionRef('log4j')
            library('slf4j-api', 'org.slf4j', 'slf4j-api').versionRef('slf4j')
            library('slf4j-jul', 'org.slf4j', 'jul-to-slf4j').versionRef('slf4j')
            library('slf4j-jcl', 'org.slf4j', 'jcl-over-slf4j').versionRef('slf4j')
            library('slf4j-simple', 'org.slf4j', 'slf4j-simple').versionRef('slf4j')
        }
        testLibs {
            version('junit', '5.10.2')
            library('junit-jupiter-api', 'org.junit.jupiter', 'junit-jupiter-api').versionRef('junit')
            library('junit-jupiter-params', 'org.junit.jupiter', 'junit-jupiter-params').versionRef('junit')
            library('junit-jupiter-engine', 'org.junit.jupiter', 'junit-jupiter-engine').versionRef('junit')
            library('junit-vintage-engine', 'org.junit.vintage', 'junit-vintage-engine').versionRef('junit')
            library('junit-jupiter-platform-launcher', 'org.junit.platform', 'junit-platform-launcher').version('1.10.1')
            library('hamcrest', 'org.hamcrest', 'hamcrest-library').version('2.2')
            library('junit4', 'junit', 'junit').version('4.13.2')
        }
    }
}

include 'logging'
include 'logging-ext'
include 'logging-adapter-log4j'
include 'logging-adapter-slf4j'
